## Class TWizardSideBarListItemTemplate

Description

Implements interfaces:

- ITemplate

TWizardSideBarListItemTemplate class.

TWizardSideBarListItemTemplate is the default template for each item in the sidebar datalist.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 1923)

    TComponent
       |
       --TWizardSideBarListItemTemplate

Method Summary
void instantiateIn (TControl $parent)
Methods
instantiateIn (line 1930)

Instantiates the template.

It creates a TLinkButton.

- access: public

void instantiateIn (TControl $parent)

- TControl $parent: parent to hold the content within the template

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:49 -0400 by phpDocumentor 1.3.0RC4